
/**
 * A Person with name, age, and shoe size.
 * 
 * @author Stephen Bloch
 * @version Feb. 10, 2001, version 1
 */
public class Person
{
	// instance variables
	String firstName, lastName;
	int age;
	double shoeSize;

/** Where we put all the test cases.
	@since version 1
*/
static void test ()
	{
	System.out.println ("Testing Person version 1.");
	Person joe = new Person ();
	System.out.println ("joe: " + joe.firstName + " " + joe.lastName +
						", " + joe.age + " years old with size " +
						joe.shoeSize + " shoes");

	joe.firstName = "Joe";
	joe.lastName = "Schmoe";
	joe.age = 17;
	joe.shoeSize = 9.5;
	System.out.println ("joe: " + joe.firstName + " " + joe.lastName +
						", " + joe.age + " years old with size " +
						joe.shoeSize + " shoes");
	
	joe.age = joe.age + 1; // or equivalently, joe.age += 1; or joe.age++;
	System.out.println ("joe: " + joe.firstName + " " + joe.lastName +
						", " + joe.age + " years old with size " +
						joe.shoeSize + " shoes");

	Person prof = new Person ();
	System.out.println ("prof: " + prof.firstName + " " + prof.lastName +
						", " + prof.age + " years old with size " +
						prof.shoeSize + " shoes");

	prof.shoeSize = 10.5;
	prof.age = 37;
	prof.firstName = "Stephen";
	prof.lastName = "Bloch";
	System.out.println ("prof: " + prof.firstName + " " + prof.lastName +
						", " + prof.age + " years old with size " +
						prof.shoeSize + " shoes");
	}
}
