
/**
 * A Person with name, age, and shoe size.
 * 
 * @author Stephen Bloch
 * @version Feb. 10, 2001, version 2
 */
public class Person
{
	// instance variables
	String firstName, lastName;
	int age;
	double shoeSize;

/** Format all the information about a Person in a String.
	@return a String of the form "(name) (name), (age) years old with size (shoe-size) shoes"
	@since version 2
*/
public String toString ()
	{
	return this.firstName + " " + this.lastName +
			", " + this.age + " years old with size " +
			this.shoeSize + " shoes";
	}
/** Where we put all the test cases.
	@since version 1
*/
static void test ()
	{
	System.out.println ("Testing Person version 2.");
	Person joe = new Person ();
	System.out.println ("joe: " + joe.toString ());

	joe.firstName = "Joe";
	joe.lastName = "Schmoe";
	joe.age = 17;
	joe.shoeSize = 9.5;
	System.out.println ("joe: " + joe.toString());
	
	joe.age = joe.age + 1; // or equivalently, joe.age += 1; or joe.age++;
	System.out.println ("joe: " + joe.toString());

	Person prof = new Person ();
	System.out.println ("prof: " + prof.toString());

	prof.shoeSize = 10.5;
	prof.age = 37;
	prof.firstName = "Stephen";
	prof.lastName = "Bloch";
	System.out.println ("prof: " + prof.toString());
	}
}
